Subject: Re: git svn clone of messy repository

From: Eric Wong <[email-masked]>
Date: Thu, 11 Jan 2018 09:04:52 +0000

Jason Greenbaum <[email-masked]> wrote:
> --trunk=trunk/project_of_interest \
> --branches=branches/FF-1.0/project_of_interest \
> --branches=branches/FF-1.1/project_of_interest \

> The trunk seems to become the 'master' branch just fine, but my svn
> branches are not pulled down.  I'm not sure I have the syntax right or
> if this is even possible without first reorganizing the svn repo in
> place, updating the .git/config file, or by some other means.

By default, the basename ("project_of_interest") is used and you
get collisions.

I think this section of the git-svn manpage should help:

| When using multiple --branches or --tags, 'git svn' does not automatically
| handle name collisions (for example, if two branches from different paths have
| the same name, or if a branch and a tag have the same name).  In these cases,
| use 'init' to set up your Git repository then, before your first 'fetch', edit
| the $GIT_DIR/config file so that the branches and tags are associated
| with different name spaces.  For example:
| 
| 	branches = stable/*:refs/remotes/svn/stable/*
| 	branches = debug/*:refs/remotes/svn/debug/*